@echo Off
if not "%echo%" == "" echo %echo%
echo.
echo  This batch file will remove the Hummingbird Socks 4/5 client
echo  for Winsock v1.1 only.
echo  Copyright (c) 1996-2001 Hummingbird Ltd. All Rights Reserved.
echo  All Rights Reserved.
echo.
    if not exist inwin.com goto direrror
    if not exist checkwin.exe goto direrror
    subst > NUL
    if "%OS%" == "Windows_NT" goto socknt
    if "%winbootdir%" == "" goto win16
    checkwin > NUL
    if errorlevel 2 goto sock2_95

REM ************************************************************************
:sock1_95
echo.
echo  Remove Socks 4/5 from WinSock 1 on Windows 95
echo.
    subst > NUL
    if not exist %winbootdir%\system\wsock32o.dll goto notinst
    inwin
    if errorlevel 1 goto indosmode
    echo uninstal.bat must be run from MS-DOS mode.
    echo Please restart Windows 95 in MS-DOS mode and run uninstal.bat again.
    goto end
:indosmode
    del %winbootdir%\system\wsock32.dll
    del %winbootdir%\system\humprdsk.dll
    del %winbootdir%\system\socks.cfg
    ren %winbootdir%\system\wsock32o.dll wsock32.dll
:cnf1_win
    echo  Socks has been removed from your system.
    echo.
    echo  Please restart Windows now.
    echo.
    goto end
:notinst
    echo.
    echo  Socks does not seem to be installed on your system
    echo.
    goto end

REM ************************************************************************
:win16
echo.
echo  Remove Socks 4 from WinSock 1 on Windows for Workgroups 3.11
echo.
    subst > NUL
    if "%1" == "" goto usagewin
    if not exist %1\winsock.dll goto invaliddir
    if exist %1\system\kernel32.dll goto invaliddir
    if not exist %1\winsocko.dll goto notinst
    inwin
    if errorlevel 1 goto dosmode
    echo uninstal.bat must be run from MS-DOS mode.
    echo Please exit Windows and run uninstal.bat again.
    goto end
:usagewin
    echo Re-run uninstal.bat with your Windows directory as a parameter.
    echo ie. "uninstal.bat C:\WINDOWS"
    goto end
:invaliddir
    echo "%1" does not appear to contain Windows for Workgroups 3.11.
    goto end
:dosmode
    del %1\winsock.dll
    del %1\humprdsk.dll
    ren %1\winsocko.dll winsock.dll
    goto cnf1_win

REM *************************************************************************
:sock2_95
echo.
REM  Uninstall Socks 4/5 for WinSock 2 on Windows 95/98
REM  (Aborts with an error message.  Must use MSI uninstall instead)

goto wsock2error

REM *************************************************************************
:socknt
REM  Uninstall Socks 4/5 for WinSock 2 on Windows NT4/2000
REM  (Aborts with an error message.  Must use MSI uninstall instead)

goto wsock2error

REM *************************************************************************
:wsock2error
	echo Error:
	echo Cannot uninstall Socks 4/5 for Winsock2 using uninstall.bat
	goto end

REM *************************************************************************
:direrror
    echo Error:
    echo %0 must be run from its own directory.
    goto end

REM *************************************************************************
:end
    pause
